0

Parse error: syntax error, unexpected '[' in /Users/***/Sites/devdesktop/acquia-drupal-7.41.47.6289/profiles/acquia/modules/sqlsrv/sqlsrv.install on line 10

What can I do to fix this error?

1

Not much info so this is a bit of a guess...

Acquia support PHP versions:

5.3.29, 5.4.45, 5.5.30 (default), 5.6.14, 7.0.0 RC2

The error message you're seeing suggests short array syntax isn't understood by the version of PHP that's running, which in turn suggests you're running the 5.3.29 option.

Short array syntax was added in PHP5.4, so in theory to fix you just need to install the software with that version instead of 5.3.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.